select * from SaoJose2020..Funcion

---migrar Fornecedores
set identity_insert BancoGerencial..Colaborador on 
insert into BancoGerencial..Colaborador
(Codigo,
Endereco,
NumeroEndereco,
Bairro,
Complemento,
UF,
Celular, 
CEP,
DataNascimento,
CPF,
Cracha,
Inativo,
Nome,
UsuarioUltimaGravacao,
DataHoraUltimaGravacao,
Horas
)
select 
cli.CODIGO,
ltrim(rtrim(cli.ENDERECO)),
ltrim(rtrim(cli.ativo)),
ltrim(rtrim(cli.BAIRRO)),
'',
ltrim(rtrim(cli.ESTADO)),
ltrim(rtrim(cli.CELULAR)),
ltrim(rtrim(cli.CEP)),
ltrim(rtrim(cli.DtNasc)),
ltrim(rtrim(cli.CNPJ)),
cli.cracha,
'',
ltrim(rtrim(cli.NOME)),
'MIGRAÇÃO',
GETDATE(),
ltrim(rtrim(cli.horastrabalho))
from SaoJose2020..Funcion as cli
where cli.CODIGO > 0
set identity_insert BancoGerencial..Colaborador off


update Colaborador set Inativo = 'N' where NumeroEndereco = 'S';
update Colaborador set Inativo = 'S' where NumeroEndereco = 'N';
update Colaborador set NumeroEndereco = '';